View Issue Details

IDProjectCategoryView StatusLast Update
0016810mantisbtcustomizationpublic2014-12-08 00:34
ReporterfoXenAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.15 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0016810: $s_os in custom_strings_inc.php partially ignored
Description

As descript in this post: [url]http://www.mantisbt.org/forums/viewtopic.php?f=4&t=19757&p=46999&hilit=custom_strings#p46999[/url]
I added

$s_os = 'Betriebssystem/Browser';

to custom_strings_inc.php (as well as $s_os_version = 'BS-/Browser-Version';). Everything seems fine except for the profile-management-site (under the user account settings). Here this field is named like the default "Betriebssystem" (german) and switching to english "Operating System".
For $s_os_version it's working as expected.

TagsNo tags attached.

Relationships

related to 0012535 new Would appreciate ability to change names of Profile fields 
related to 0016828 closedatrol Remove redundant strings 

Activities

atrol

atrol

2014-01-08 04:29

developer   ~0038993

You have to set also $s_operating_system

foXen,

This is not a bug or feature request for MantisBT (you are asking for help on how to configure the system). I am therefore resolving this issue as "no change required".

Please use the forums, the mantisbt-help mailing list or IRC to get support on customizing and using MantisBT (refer to http://www.mantisbt.org/support.php for links and further details).

foXen

foXen

2014-01-08 08:21

reporter   ~0038994

Last edited: 2014-01-08 08:39

View 2 revisions

I do think, that you are (partally) wrong, atrol.
First, you are right, that setting $s_operating_system does change the label in user-profile (and global-profile). But it does not change the label in filter-option or entry-view. For last to labels you do have to set $s_os!
Whereas setting $s_platform and $s_os_version do affects all of thies views!
So, it is a bug (or if you like more: a feature request) to use two different string settings ($s_os here and $s_operating_system there) for the very same thing!

Leave this closed or next time use feedback-status! ;)

Edit: Just found this open bug: 0012535 I do have the same goal. But instead of changing 3 strings, I/we have to change 4...

atrol

atrol

2014-01-08 10:33

developer   ~0038995

I will check later when those strings have been introduced and whether there is any reason to have four strings.
If there is no reason for it, I will changte this in version 1.3.

atrol

atrol

2014-01-08 16:42

developer   ~0038996

I will remove usage of $s_operating_system in 1.3

1.3 introduced to have two strings for all platform strings (the new one is used for the labels on filter page).
Thus, you will have to set $s_os and $s_os_label
e.g.
$s_os = 'Betriebssystem/Browser';
$s_os_label = 'Betriebssystem/Browser:';

I don't like this implementation that much.
I will ask other developers if we should undo this change and replace the ":" stuff by one string for all labels.
Something like $s_filter_label_terminator = ':';

dregad

dregad

2014-01-08 19:48

developer   ~0038997

I vaguely recall (don't have time to check atm) that in master branch the trailing ':' for labels is handled through a CSS attribute; if that's the case, then we don't need 2 distinct strings IMO.

atrol

atrol

2014-01-12 09:26

developer   ~0039024

I vaguely recall (don't have time to check atm) that in master branch the trailing ':' for labels is handled through a CSS attribute;

The redundant _label strings have been introduced in master.
https://github.com/mantisbt/mantisbt/commit/abf8704e4dac1edd5d62474f900964041d15ce3a

They have never been replaced by CSS, also not in master, next or 2.0.

I entered 0016828 to track the issue.

Related Changesets

MantisBT: master 56b33e81

2014-01-12 09:08:06

atrol

Details Diff
Fix 0016810: $s_os in custom_strings_inc.php partially ignored
mod - account_prof_edit_page.php Diff File
mod - account_prof_menu_page.php Diff File
mod - core/profile_api.php Diff File
mod - lang/strings_english.txt Diff File

Issue History

Date Modified Username Field Change
2014-01-08 04:15 foXen New Issue
2014-01-08 04:29 atrol Note Added: 0038993
2014-01-08 04:29 atrol Status new => resolved
2014-01-08 04:29 atrol Resolution open => no change required
2014-01-08 04:29 atrol Assigned To => atrol
2014-01-08 08:21 foXen Note Added: 0038994
2014-01-08 08:39 foXen Note Edited: 0038994 View Revisions
2014-01-08 10:33 atrol Note Added: 0038995
2014-01-08 16:42 atrol Note Added: 0038996
2014-01-08 16:42 atrol Status resolved => assigned
2014-01-08 16:42 atrol Resolution no change required => open
2014-01-08 16:42 atrol Target Version => 1.3.0-beta.1
2014-01-08 19:48 dregad Note Added: 0038997
2014-01-08 19:49 dregad Relationship added related to 0012535
2014-01-12 09:09 atrol Changeset attached => MantisBT master 56b33e81
2014-01-12 09:09 atrol Status assigned => resolved
2014-01-12 09:09 atrol Resolution open => fixed
2014-01-12 09:09 atrol Fixed in Version => 1.3.0-beta.1
2014-01-12 09:26 atrol Note Added: 0039024
2014-01-12 09:27 atrol Relationship added related to 0016828
2014-12-08 00:34 vboctor Status resolved => closed